-- unit changes

UPDATE Civilization_UnitClassOverrides Set UnitClassType = 'UNITCLASS_PARATROOPER' WHERE UnitType = 'UNIT_BAT_BAT_SOLDIER';

UPDATE Units
SET Class = 'UNITCLASS_PARATROOPER', Cost = 1000, RequiresFaithPurchaseEnabled = 1, FaithCost = 900, Combat = 45, PrereqTech = 'TECH_FLIGHT', ObsoleteTech = 'TECH_SATELLITES', GoodyHutUpgradeUnitClass = 'UNITCLASS_MARINE' WHERE Type = 'UNIT_BAT_BAT_SOLDIER';

UPDATE Unit_ClassUpgrades
SET UnitClassType = 'UNITCLASS_MARINE'
WHERE UnitType = 'UNIT_BAT_BAT_SOLDIER';
--
INSERT INTO Unit_FreePromotions 	
		(UnitType, 			PromotionType)
SELECT	'UNIT_BAT_BAT_SOLDIER', 	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_PARATROOPER';

INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES ('UNIT_BAT_BAT_SOLDIER','PROMOTION_EVASION');
DELETE FROM Unit_FreePromotions where UnitType = 'UNIT_BAT_SCOUT';
DELETE FROM units where Type = 'UNIT_BAT_SCOUT';

-- building changes
INSERT INTO Building_YieldChanges (BuildingType, YieldType, Yield) VALUES ('BUILDING_BAT_WAYNE_ENTERPRISES','YIELD_SCIENCE',4);

update buildings set cost = 500 where Type = 'BUILDING_BAT_WAYNE_ENTERPRISES';
update building_yieldmodifiers set yield = 10 where BuildingType = 'BUILDING_BAT_WAYNE_ENTERPRISES' and YieldType = 'YIELD_SCIENCE';

DELETE FROM Civilization_UnitClassOverrides WHERE UnitType = 'UNIT_BAT_DUMMY' OR UnitType = 'UNIT_BAT_SCOUT';

DELETE FROM Building_BuildingClassYieldChanges WHERE BuildingType = 'BUILDING_BAT_HIDDEN';
--
-- Trait Changes
--INSERT INTO Trait_ImprovementYieldChanges(TraitType, ImprovementType, YieldType, Yield)
--VALUES('TRAIT_BAT', 'IMPROVEMENT_CAMP', 'YIELD_SCIENCE', 1);

INSERT INTO Trait_ImprovementYieldChanges(TraitType, ImprovementType, YieldType, Yield)
VALUES('TRAIT_BAT', 'IMPROVEMENT_MINE', 'YIELD_SCIENCE', 1);

--INSERT INTO Trait_ImprovementYieldChanges(TraitType, ImprovementType, YieldType, Yield)
--VALUES('TRAIT_BAT', 'IMPROVEMENT_QUARRY', 'YIELD_SCIENCE', 1);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_GROVE','YIELD_GOLD',2); 

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_LIBRARY','YIELD_GOLD',2); 

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_UNIVERSITY','YIELD_GOLD',2); 

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_OBSERVATORY','YIELD_GOLD',2); 

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_PUBLIC_SCHOOL','YIELD_GOLD',2); 

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_LABORATORY','YIELD_GOLD',2); 

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_GREAT_LIBRARY','YIELD_GOLD',2);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_HUBBLE','YIELD_GOLD',2);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_PORCELAIN_TOWER','YIELD_GOLD',2);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_OXFORD_UNIVERSITY','YIELD_GOLD',2);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_NATIONAL_UNIVERSITY','YIELD_GOLD',2);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_CERN','YIELD_GOLD',2);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_BLETCHLEY_PARK','YIELD_GOLD',2);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_EE_SMITHSONIAN','YIELD_GOLD',2);

insert into Trait_BuildingClassYieldChanges (TraitType, BuildingClassType, YieldType, YieldChange)
values ('TRAIT_BAT','BUILDINGCLASS_EE_ACADEMY','YIELD_GOLD',2);

=======================================================================================================================
-- BINGLES CIV IV TRAITS
--=======================================================================================================================
-- Leader_SharedTraits
------------------------------  
CREATE TABLE IF NOT EXISTS
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(TYPE)        DEFAULT NULL,
    TraitOne            text    REFERENCES Policies(TYPE)       DEFAULT NULL,
    TraitTwo            text    REFERENCES Policies(TYPE)       DEFAULT NULL);
     
INSERT INTO Leader_SharedTraits
        (LeaderType,                TraitOne,               TraitTwo)
VALUES  ('LEADER_BAT',       'POLICY_FINANCIAL_X',   'POLICY_INVENTIVE_X');
------------------------------  
-- Leaders
------------------------------  
UPDATE Leaders
SET Description = 'Batman [ICON_GOLD][ICON_RESEARCH]'
WHERE TYPE = 'LEADER_BAT'
AND EXISTS (SELECT * FROM Policies WHERE TYPE = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================
-- JFD USER SETTINGS
--==========================================================================================================================
-- JFD_GlobalUserSettings
-------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_GlobalUserSettings (
	Type 											text 										default null,
	Value 											integer 									default 1);
--==========================================================================================================================
-- JFD CIVILOPEDIA
--==========================================================================================================================
-- JFD_Civilopedia_HideFromPedia
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_Civilopedia_HideFromPedia (Type text default null);

--Any items entered into this table will not show into the Civilopedia. There is no technical limitation as to what can be hidden (I think).
INSERT INTO JFD_Civilopedia_HideFromPedia
		(Type)
VALUES	('UNIT_BAT_DUMMY'),
		('UNIT_BAT_SCOUT');
--==========================================================================================================================
-- JFD's CITIES IN DEVELOPMENT (10e9728f-d61c-4317-be4f-7d52d6bae6f4)
-- Please Note: it is NOT necessary to make any changes to this if you had supported Colony Names under the ExCE ID. 
-- You will only need to add support for Claims if you wish some of your Decisions to cost Dignitaries instead of Magistrates. Examples TBD.
--==========================================================================================================================
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_ColonialCityNames (
	CivilizationType 							text 	REFERENCES Civilizations(Type) 		default null,
	ColonyName 									text										default null,
	LinguisticType								text										default	null,
	CultureType									text										default	null);
/*
JFD_Germanic, JFD_Latinate, JFD_Tai_Khmer, JFD_Austronesian, JFD_Arabic, JFD_Slavic, JFD_Mesopotamian, JFD_Mesoamerican, JFD_Oriental,
JFD_Finno_Ugric, JFD_Semitic, JFD_Hellenic, JFD_Bantu, JFD_Songhay, JFD_Indo_Iranian, JFD_Altaic, JFD_Celtic, JFD_NorthAmerican, JFD_Quechumaran
*/
INSERT INTO Civilization_JFD_ColonialCityNames
		(CivilizationType, 						ColonyName,								LinguisticType)
VALUES	('CIVILIZATION_BAT', 			null,									'JFD_NorthAmerican');
--==========================================================================================================================	
-- JFD's CITIES IN DEVELOPMENT: SLAVERY (10e9728f-d61c-4317-be4f-7d52d6bae6f4)
--==========================================================================================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_SLAVERY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
--A value of 0-10 may be set. This value determines the proclivity a civ has toward enslaving a captured city and toward spending Slavery on Units.
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,					Flavor)
VALUES	('LEADER_BAT',	'FLAVOR_JFD_SLAVERY',		0);
--==========================================================================================================================
-- JFD's CULTURAL DIVERSITY (31a31d1c-b9d7-45e1-842c-23232d66cd47)
--==========================================================================================================================
-- Civilization_JFD_CultureTypes
-------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_CultureTypes(
	CivilizationType 							text 	REFERENCES Civilizations(Type) 			default null,
	CultureType 								text											default null,
	ArtDefineTag								text											default	null,
	DefeatScreenEarlyTag						text											default	null,
	DefeatScreenMidTag							text											default	null,
	DefeatScreenLateTag							text											default	null,
	IdealsTag									text											default	null,
	SplashScreenTag								text											default	null,
	SoundtrackTag								text											default	null,
	UnitDialogueTag								text											default null);
/*
CultureTypes:
  JFD_Andean, JFD_Bantu, JFD_Bharata, JFD_Central, JFD_Colonial, JFD_Eastern, JFD_Islamic, JFD_Katuje, JFD_Mandala, JFD_Mediterranean, JFD_Mesoamerican, JFD_Mesopotamic, JFD_Northern, JFD_Oceanic, JFD_Oriental, JFD_Polar, JFD_Sahul, JFD_Semitic, JFD_Steppe, JFD_Southern, JFD_TribalAmerican, JFD_Totalitarian, JFD_WestAfrican, JFD_Western

SplashScreenTags (As above, unless otherwise specified)
  JFD_ColonialLatin, JFD_NorthernCeltic, JFD_OrientalJapanese, JFD_SouthernPapal
  
SoundtrackTag (As above, unless otherwise specified)
  JFD_MesopotamicEgyptian, JFD_NorthernCeltic, JFD_OrientalJapanese
  
 UnitDialogueTag
	AS2D_SOUND_JFD_AMERICAN, AS2D_SOUND_JFD_AMERICAN_WEST, AS2D_SOUND_JFD_ALBANIAN*, AS2D_SOUND_JFD_ARABIC, AS2D_SOUND_JFD_AZTEC, AS2D_SOUND_JFD_BABYLONIAN, AS2D_SOUND_JFD_BERBER*, AS2D_SOUND_JFD_BYZANTINE, AS2D_SOUND_JFD_CARTHAGINIAN, AS2D_SOUND_JFD_CELTIC, AS2D_SOUND_JFD_CHINESE, AS2D_SOUND_JFD_COMANCHE*, AS2D_SOUND_JFD_DUTCH, AS2D_SOUND_JFD_EGYPTIAN, AS2D_SOUND_JFD_ENGLISH, AS2D_SOUND_JFD_ETHIOPIAN, AS2D_SOUND_JFD_FINNISH*, AS2D_SOUND_JFD_FRENCH, AS2D_SOUND_JFD_GAELIC*, AS2D_SOUND_JFD_GERMAN, AS2D_SOUND_JFD_GREEK, AS2D_SOUND_JFD_HOLY_ROMAN, AS2D_SOUND_JFD_HUNNIC, AS2D_SOUND_JFD_INCAN, AS2D_SOUND_JFD_INDIAN, AS2D_SOUND_JFD_ITALIAN, AS2D_SOUND_JFD_JAPANESE, AS2D_SOUND_JFD_KHMER, AS2D_SOUND_JFD_KOREAN, AS2D_SOUND_JFD_MALINESE, AS2D_SOUND_JFD_MAMLUKE*, AS2D_SOUND_JFD_MAYAN, AS2D_SOUND_JFD_MONGOL, AS2D_SOUND_JFD_NATIVE_AMERICAN (Mohawk), AS2D_SOUND_JFD_OTTOMAN, AS2D_SOUND_JFD_PERSIAN, AS2D_SOUND_JFD_POLISH, AS2D_SOUND_JFD_PORTUGUESE, AS2D_SOUND_JFD_ROMAN, AS2D_SOUND_JFD_RUSSIAN, AS2D_SOUND_JFD_SIAMESE, AS2D_SOUND_JFD_SPANISH, AS2D_SOUND_JFD_SUMERIAN, AS2D_SOUND_JFD_SWEDISH, AS2D_SOUND_JFD_TUPI*, AS2D_SOUND_JFD_VIKING, AS2D_SOUND_JFD_ZAPOTEC*, AS2D_SOUND_JFD_ZULU
	
	*Recommended to only use for Mercenary Units, as these have fewer tracks.
*/

-- This is an example of support which copies all attributes from an existing civ (i.e. Denmark). For the most part, this is probably all you'll need; just change 'CIVILIZATION_JFD_NORWAY' to the
-- tag of your custom civ. 
INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,			ArtDefineTag, CultureType, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_BAT',	ArtDefineTag, CultureType, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_AMERICA';

UPDATE Civilizations 
SET SoundtrackTag = 'JFD_Colonial'
WHERE Type = 'CIVILIZATION_BAT'
AND EXISTS (SELECT * FROM Civilization_JFD_CultureTypes WHERE SoundtrackTag = 'JFD_Colonial');
--==========================================================================================================================
-- JFD's EXPLORATION CONTINUED EXPANDED (6676902b-b907-45f1-8db5-32dcb2135eee)
--==========================================================================================================================
--PROMOTION_JFD_SNOW_IMMUNITY, PROMOTION_JFD_DESERT_IMMUNITY, PROMOTION_JFD_DISEASE_IMMUNITY, PROMOTION_JFD_JUNGLE_IMMUNITY, PROMOTION_JFD_SCUVRY_IMMUNITY
--INSERT INTO Unit_FreePromotions
--		(UnitType, 				PromotionType)
--SELECT	'UNIT_JFD_LONGBOAT',	'PROMOTION_JFD_SCURVY_IMMUNITY'
--WHERE EXISTS (SELECT Type FROM UnitPromotions WHERE Type = 'PROMOTION_JFD_SCURVY_IMMUNITY');
--==========================================================================================================================	
-- JFD's AND POUAKAI's MERCENARIES (a19351c5-c0b3-4b07-8695-4affaa199949)
--==========================================================================================================================
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_MERCENARY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
--A value of 0-10 may be set. This value determines the likelihood that a leader will take out Mercenary Contracts (provided they have the funds).
--A value of 10 means this civilization will always take a Contract if available. A value of 0 means this civilization will never take out a contract.
INSERT INTO Leader_Flavors
		(LeaderType,				FlavorType,					Flavor)
VALUES	('LEADER_BAT',	'FLAVOR_JFD_MERCENARY',		3);
--==========================================================================================================================	
-- JFD's RISE TO POWER: PIETY (eea66053-7579-481a-bb8d-2f3959b59974)
--==========================================================================================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_RELIGIOUS_INTOLERANCE');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
--A value of 0-12 may be set. This value determines the diplomatic penalty/bonus with civilizations of a different/same state religion
--A value higher than 9 means this civilization will never secularise. A value of 0 means this civilization has no interest in State Religion.
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,								Flavor)
VALUES	('LEADER_BAT',	'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',		8);
--==========================================================================================================================	
-- JFD's RISE TO POWER: PROSPERITY (eea66053-7579-481a-bb8d-2f3959b59974)
--==========================================================================================================================	
-- Civilization_JFD_Currencies
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Currencies (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 	default null,
	CurrencyType	  				text 		  								default null);

INSERT INTO Civilization_JFD_Currencies
		(CivilizationType,					CurrencyType)
SELECT	'CIVILIZATION_BAT',	CurrencyType
FROM Civilization_JFD_Currencies WHERE CivilizationType = 'CIVILIZATION_AMERICA';
--==========================================================================================================================	
-- JFD's RISE TO POWER: SOVEREIGNTY (eea66053-7579-481a-bb8d-2f3959b59974)
--==========================================================================================================================
-- Civilization_JFD_Governments
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Governments (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 					default null,
	CultureType	  					text 		 												default null,
	LegislatureName					text														default	null,
	OfficeTitle						text														default	null,
	GovernmentType					text														default	null,
	Weight							integer														default	0);

--This table determines a variety of things relating to your Government.
--The LegislatureName refers to the name of your Legislature (e.g. the Imperial Diet). 
--The OfficeTitle refers to the title of your Head of Government (if a Const. Monarchy) (e.g. Vizier. Default is Prime Minister)
--GovernmentType and Weight prefer to a Government preference (GOVERNMENT_JFD_MONARCHY or GOVERNMENT_JFD_REPUBLIC) and how strong that preference is.
INSERT INTO Civilization_JFD_Governments
		(CivilizationType,					LegislatureName, 									OfficeTitle, 												GovernmentType, 			Weight)
VALUES	('CIVILIZATION_BAT',	'TXT_KEY_JFD_LEGISLATURE_NAME_CIVILIZATION_AMERICA', 	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_AMERICA', 	'GOVERNMENT_JFD_MONARCHY', 	70);
------------------------------------------------------------	
-- Civilization_JFD_HeadsOfGovernment	
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 	
	Civilization_JFD_HeadsOfGovernment (	
	CivilizationType  				text 		REFERENCES Civilizations(Type) 					default null,
	CultureType						text 		 												default null,
	HeadOfGovernmentName			text 		 												default null);

--These are the Heads of your Government, which are randomly chosen when a new Legislature is formed.
--The standard number for each civ is 25. However, you may leave this table empty and your civ will call
--from a cultural list (so long as you have Cultural Diversity support).
--INSERT INTO Civilization_JFD_HeadsOfGovernment
--        (CivilizationType,      				HeadOfGovernmentName)
--VALUES  ('CIVILIZATION_BAT',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_JFD_EGYPT_DJOSER_1');
------------------------------------------------------------
-- Civilization_JFD_Titles
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Titles (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 					default null,
	CultureType						text 		 												default null,
	ReligionType					text 		REFERENCES Religions(Type) 						default null,
	DefaultTitle					text 		 												default null,
	UniqueTitle						text 		 												default null,
	UseAdjective					boolean														default 0);	

--This lists all the unique titles that a civilization should use instead of a standard one. If left blank, a culture-specific title will be used instead (if CulDiv support).
--The default titles are as follows:
----TXT_KEY_GOVERNMENT_JFD_TRIBE_TITLE_GOVERNMENT (Tribe)
----TXT_KEY_GOVERNMENT_JFD_TRIBE_TITLE_LEADER (Chief/Chieftess)
----TXT_KEY_GOVERNMENT_JFD_PRINCIPALITY_TITLE_LEADER (Grand Prince)
----TXT_KEY_GOVERNMENT_JFD_PRINCIPALITY_TITLE_GOVERNMENT (Grand Principality)
----TXT_KEY_GOVERNMENT_JFD_MONARCHY_TITLE_LEADER (King/Queen)
----TXT_KEY_GOVERNMENT_JFD_MONARCHY_TITLE_GOVERNMENT (Kingdom)
----TXT_KEY_GOVERNMENT_JFD_EMPIRE_TITLE_LEADER (Emperor/Empress)
----TXT_KEY_GOVERNMENT_JFD_EMPIRE_TITLE_GOVERNMENT (Empire)
----TXT_KEY_GOVERNMENT_JFD_COMMONWEALTH_TITLE_GOVERNMENT (Commonwealth)
----TXT_KEY_GOVERNMENT_JFD_REPUBLIC_TITLE_LEADER (Consul)
----TXT_KEY_GOVERNMENT_JFD_REPUBLIC_TITLE_LEADER_LATE (President)
----TXT_KEY_GOVERNMENT_JFD_REPUBLIC_TITLE_GOVERNMENT (Republic)
----TXT_KEY_GOVERNMENT_JFD_DICTATORSHIP_TITLE_LEADER (Dictator)
----TXT_KEY_GOVERNMENT_JFD_FEDERATION_TITLE_GOVERNMENT (Federation)

--For 'LEADER' titles, just include the title in the text, e.g. "Pharoah." 
--For 'GOVERNMENT' titles, include a placeholder for your civ's short description, e.g. "Kingdom of {1_CivName}"
--Use 'UseAdjective' when you want the 'GOVERNMENT' title to read (e.g.): "{1_CivAdj} Kingdom" instead of "Kingdom of {1_CivName}"
--INSERT INTO Civilization_JFD_Titles
--		(CivilizationType,					DefaultTitle,									UniqueTitle)
--VALUES	('CIVILIZATION_BAT',	'TXT_KEY_GOVERNMENT_JFD_TRIBE_TITLE_LEADER',	'TXT_KEY_GOVERNMENT_JFD_TRIBE_TITLE_LEADER_AMERICA');
------------------------------------------------------------
-- Civilization_JFD_Politics
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Politics (
	CivilizationType  					text 		REFERENCES Civilizations(Type) 					default null,
	PoliticsType  						text 														default null,
	UniqueName							text														default	null);

--This lists all the unique names for a civ's political parties.
--Political Parties are as follows:
----PARTY_JFD_CLERGY
----PARTY_JFD_NOBILITY
----PARTY_JFD_REVOLUTIONARY
----PARTY_JFD_CONSERVATIVE
----PARTY_JFD_LIBERAL
----PARTY_JFD_REACTIONARY
----PARTY_JFD_SOCIALIST
----PARTY_JFD_COMMUNIST
----PARTY_JFD_FASCIST
----PARTY_JFD_LIBERTARIAN
--INSERT INTO Civilization_JFD_Politics
--		(CivilizationType,					PoliticsType, 				UniqueName)
--VALUES	('CIVILIZATION_BAT',	'PARTY_JFD_REVOLUTIONARY',	'TXT_KEY_JFD_PARTY_JFD_REVOLUTIONARY_AMERICA');
------------------------------------------------------------
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
--Each flavour corresponds to one of the seven Reform Categories, and how likely a civ is to take a reform in either the Right, Centre, or Left column.
--A value of 1-3 will favour Left Reforms. A value of 4-6 will value Centre Reforms. A value of 7-10 will value Right Reforms. The strength of the value will determine how soon a Leader will implement that Reform.
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,							Flavor)
VALUES	('LEADER_BAT',	'FLAVOR_JFD_REFORM_GOVERNMENT',		5),
		('LEADER_BAT',	'FLAVOR_JFD_REFORM_CULTURE',		5),
		('LEADER_BAT',	'FLAVOR_JFD_REFORM_ECONOMIC',		6),
		('LEADER_BAT',	'FLAVOR_JFD_REFORM_FOREIGN',		8),
		('LEADER_BAT',	'FLAVOR_JFD_REFORM_INDUSTRY',		3),
		('LEADER_BAT',	'FLAVOR_JFD_REFORM_MILITARY',		2),
		('LEADER_BAT',	'FLAVOR_JFD_REFORM_RELIGION',		3);	
--==========================================================================================================================
-- R.E.D. / Ethnic Units
--==========================================================================================================================
-- Civilizations
------------------------------  
UPDATE Civilizations 
SET ArtStyleSuffix = '_AMERICA'
WHERE Type = 'CIVILIZATION_BAT'
AND EXISTS (SELECT * FROM Civilizations WHERE ArtStyleSuffix = '_ENGLAND');
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
-- ML_CivCultures
------------------------------  
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT INTO ML_CivCultures
        (CivType,                       CultureType,        CultureEra)
VALUES  ('CIVILIZATION_BAT',      'AMERICAN',         'ANY');
--EAST_ASIAN
--ARABIAN
--MEDITERRANEAN
--GERMANIC
--AFRICAN
--FIRST_AMERICANS
--BRITISH
--PACIFIC
--INDIAN
--SLAVIC
--SPANISH
--PORTUGUESE
--FRENCH
